package com.fjhx.wms.entity.stock.dto;

import com.ruoyi.common.core.domain.BaseSelectDto;
import lombok.Getter;
import lombok.Setter;

/**
 * 出入库记录列表查询入参实体
 *
 * @author 
 * @since 2023-03-20
 */
@Getter
@Setter
public class StockJournalSelectDto extends BaseSelectDto {

    /**记录类型 1为手动入库 2为手动出库*/
    private Integer type;

    /**仓库id*/
    private String warehouseId;

    /**商品id*/
    private String productId;

}
