package com.fjhx.wms.entity.stock.vo;

import com.fjhx.wms.entity.stock.po.StockWait;
import com.fjhx.wms.entity.stock.po.StockWaitDetails;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 待出入库列表查询返回值实体
 *
 * @author
 * @since 2023-03-22
 */
@Getter
@Setter
public class StockWaitVo extends StockWait {

    /**
     * 商品名称
     */
    private String productName;

    /**
     * 待入库明细
     */
    private List<StockWaitDetailsVo> stockWaitDetailsList;

}
