package com.fjhx.wms.service.stock;

import com.fjhx.wms.entity.stock.po.StockCheck;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.wms.entity.stock.vo.StockCheckVo;
import com.fjhx.wms.entity.stock.dto.StockCheckSelectDto;
import com.fjhx.wms.entity.stock.dto.StockCheckDto;


/**
 * <p>
 * 库存盘点 服务类
 * </p>
 *
 * @author 
 * @since 2023-03-22
 */
public interface StockCheckService extends BaseService<StockCheck> {

    /**
     * 库存盘点分页
     */
    Page<StockCheckVo> getPage(StockCheckSelectDto dto);

    /**
     * 库存盘点明细
     */
    StockCheckVo detail(Long id);

    /**
     * 库存盘点新增
     */
    void add(StockCheckDto stockCheckDto);

    /**
     * 库存盘点编辑
     */
    void edit(StockCheckDto stockCheckDto);

    /**
     * 库存盘点删除
     */
    void delete(Long id);

}
