package com.fjhx.account.mapper.account;

import com.fjhx.account.entity.account.po.AccountDeptRunningWaterDetail;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.account.entity.account.vo.AccountDeptRunningWaterDetailVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 资金流水分拆部门表 Mapper 接口
 * </p>
 *
 * @author
 * @since 2023-04-13
 */
public interface AccountDeptRunningWaterDetailMapper extends BaseMapper<AccountDeptRunningWaterDetail> {

    /**
     * 资金流水分拆部门表分页
     */
    Page<AccountDeptRunningWaterDetailVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<AccountDeptRunningWaterDetail> wrapper);

}
