package com.fjhx.wms.entity.stock.po;

import com.ruoyi.common.core.domain.BasePo;
import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 库存盘点
 * </p>
 *
 * @author 
 * @since 2023-03-22
 */
@Getter
@Setter
@TableName("stock_check")
public class StockCheck extends BasePo {

    /**
     * 仓库id
     */
    private Long warehouseId;

    /**
     * 盘点结果 0正常 1异常
     */
    private Integer result;

}
