package com.fjhx.wms.entity.stock.po;

import com.ruoyi.common.core.domain.BasePo;
import com.baomidou.mybatisplus.annotation.TableName;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 待出入库明细
 * </p>
 *
 * @author 
 * @since 2023-04-13
 */
@Getter
@Setter
@TableName("stock_wait_details")
public class StockWaitDetails extends BasePo {

    /**
     * 待入库id
     */
    private Long stockWaitId;

    /**
     * 商品id
     */
    private Long productId;

    /**
     * 数量
     */
    private BigDecimal quantity;

    /**
     * 已入库数量
     */
    private BigDecimal receiptQuantity;

    /**
     * 维多利亚扩展
     */
    private String victoriatouristJson;

    /**业务明细id*/

    private Long businessDetailsId;

}
